# fastangle::sin Class Reference

fastangle representation as a sine function More...

`#include <_fastangle.h>`

Inheritance diagram for fastangle::sin:

List of all members.

## Public Member Functions

| sin (const value_type &x)
| sin (const fastangle &a)
sin | mod () const
| Rotation Modulus.
sin | dist (const fastangle &rhs) const
| fastangle Difference Function
| operator value_type () const
value_type | get () const

## Detailed Description

fastangle representation as a sine function

========================================================================

A more detailed description needs to be written.

Definition at line 342 of file _fastangle.h.

## Constructor & Destructor Documentation

fastangle::sin::sin | ( | const value_type & | x | ) | `[inline]`

Definition at line 345 of file _fastangle.h.

References _fastangle_asin_table, fixed_base< T, FIXED_BITS >::data(), ETL_FASTANGLE_LOOKUP_RES, and fastangle::v.

fastangle::sin::sin | ( | const fastangle & | a | ) | `[inline]`

Definition at line 346 of file _fastangle.h.

## Member Function Documentation

sin fastangle::sin::mod | ( |  | ) | const`[inline]`

Rotation Modulus.

This function will return the value of the fastangle between 0 and 2PI

Reimplemented from fastangle.

Definition at line 347 of file _fastangle.h.

References fastangle::mod().

sin fastangle::sin::dist | ( | const fastangle & | rhs | ) | const`[inline]`

fastangle Difference Function

This function will return the shortest physical distance between two angles, from -PI/2 to PI/2

Warning:
  Not yet tested

See also:
  fastangle operator-(const fastangle &)

Reimplemented from fastangle.

Definition at line 348 of file _fastangle.h.

References fastangle::dist().

fastangle::sin::operator value_type | ( |  | ) | const`[inline]`

Definition at line 349 of file _fastangle.h.

value_type fastangle::sin::get | ( |  | ) | const`[inline]`

Definition at line 350 of file _fastangle.h.

References _fastangle_sin_table, fixed_base< T, FIXED_BITS >::data(), ETL_FASTANGLE_LOOKUP_RES, and fastangle::v.

The documentation for this class was generated from the following file:

- _fastangle.h